# Infinity Hammer

Bend the rules of building! Copy any object, make structures indestructible, remove all restrictions, destroy anything and more...

Install on the admin client (modding [guide](https://youtu.be/L9ljm2eKLrk)).

Install also [Server Devcommands](https://valheim.thunderstore.io/package/JereKuusela/Server_devcommands/) to enable key binds and use this on a server (as an admin).

Install also [World Edit Commands](https://valheim.thunderstore.io/package/JereKuusela/World_Edit_Commands/) for terrain tools.

# Usage

See [documentation](https://github.com/JereKuusela/valheim-infinity_hammer/blob/main/README.md).

# Credits

Thanks for Azumatt for creating the mod icon!

Sources: [GitHub](https://github.com/JereKuusela/valheim-infinity_hammer)

Donations: [Buy me a computer](https://www.buymeacoffee.com/jerekuusela)

# Changelog

- v1.32
  - Fixes error with the new update.

- v1.31
	- Fixes errors with some mods (possibly crashing the game).

- v1.30
	- Adds a new key bind for the grid.
	- Adds compatibility for Valheim Raft mod.
	- Adds a new setting "No health indicator".
	- Adds a new setting "No support indicator".
	- Adds dimensions for new objects.
	- Renames the setting "Remove effects" to "No effects".
	- Renames the setting "Select blacklist" to "Ignored ids". These now affect most operations.
	- Renames the setting "Remove blacklist" to "Ignored remove ids".
	- Renames the settings "No build cost", "No durability loss" and "No stamina cost" to "No cost".
	- Removes the setting "Repair taming" as obsolete (better do it with World Edit Commands).
	- Removes the setting "Custom binds" as obsolete (better to use the binds.yaml of Server Devcommands).
	- Removes the setting "Enable undo" as obsolete (now always uses Server Devcommands undo if installed).
	- Removes the setting "Server devcommands undo" as obsolete (now always uses Server Devcommands undo if installed).
	- Removes the setting "Copy rotation" as obsolete.
	- Fixes the rectangle shape having the dimensions reversed.

- v1.29
  - Adds a new setting `Snap points for all objects` (default false).
	- Improves compatibility with custom locations from Expand World mod.
	- Fixes error spam when trying to place creatures.
	- Fixes snap points not working when zooping.

- v1.28
	- Update for Mistlands PTB.

- v1.27
	- Fixes terrain reseting when using default hoe objects.

- v1.26
	- Fixes incompatiblity issue with Odin Ship mod.
